﻿* Encoding: UTF-8.



**********************************************             CONSUMPTION AGGREGATE              ********************************************  .

cd "C:\1 Suriname 2022\Analysis". 

**********************************************             CONSUMPTION AGGREGATE              ********************************************  .


***Open the heading nd add all the files .


GET FILE='Heading_HH_long.sav'.

COMPUTE weight3=weight2  * HHsize.
EXECUTE.

SORT CASES BY hhid(A).

***Add the data files with the consumption aggregate componets .

MATCH FILES /FILE=*
  /TABLE='a Education_2.sav'
  /BY hhid.
EXECUTE.

MATCH FILES /FILE=*
  /FILE='c Health_2.sav'
  /BY hhid.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='d P_Expenses_2.sav'
  /BY hhid.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='e Food2.sav'
  /BY hhid.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='f House2.sav'
  /BY hhid.
EXECUTE.

MATCH FILES /FILE=*
  /TABLE='g NonFood2.sav'
  /BY hhid.
EXECUTE.

***put 0's .

RECODE edu1 edu1_ex food1 food1_ex heal1 heal1_ex food2 food2_ex toba toba_ex tran1 tran1_ex tran2 
    tran2_ex fun1 fun1_ex comm1 comm1_ex food3 food3_ex food3_ey rent rent_ex house house_ex other 
    other_ex light light_ex care care_ex heal2 heal2_ex comm2 comm2_ex fun2 fun2_ex cloth cloth_ex 
    durab durab_ex tran3 tran3_ex (SYSMIS=0).
EXECUTE.

rename variable (house = hous) (house_ex =hous_ex ) (other=othe) (other_ex=othe_ex) .

COMPUTE food=(food1 + food2 + food3) / HHsize/12 .
COMPUTE house=(rent + hous) / HHsize/12 .
COMPUTE electric=light / HHsize / 12.
COMPUTE educat=edu1 / HHsize / 12.
COMPUTE health=(heal1 + heal2)/ HHsize / 12.
COMPUTE transpor=(tran1+tran2+tran3)/ HHsize / 12.
COMPUTE communic=(comm1+comm2)/ HHsize / 12.
COMPUTE personal=(care + cloth)/HHsize / 12.
COMPUTE durables=durab/HHsize / 12.
COMPUTE entertai=(fun1+fun2)/HHsize / 12.
COMPUTE other=(toba + othe)/HHsize/12.
COMPUTE consumpt=food+house+electric+educat+health+transpor+communic+personal+durables+entertai+ other.
EXECUTE.  
VARIABLE LABELS  FOOD 'FOOD (ALL) (PC/Month/June 2022 SRDs)'.
VARIABLE LABELS  HOUSE 'RENT OR USE VALUE OF THE HOUSE (PC/Month/June 2022 SRDs)'.
VARIABLE LABELS  ELECTRIC 'FUEL,LIGHT, GAS AND WATER AT HOME (PC/Month/June 2022 SRDs)'.
VARIABLE LABELS  EDUCAT 'EDUCATION CONSUMPTIONS(PC/Month/June 2022 SRDs)'.
VARIABLE LABELS  HEALTH 'HEALTH CONSUMPTIONS(PC/Month/June 2022 SRDs)'.
VARIABLE LABELS  TRANSPOR 'TRANSPORTATION CONSUMPTIONS(PC/Month/June 2022 SRDs)'.
VARIABLE LABELS  COMMUNIC 'COMMUNICATION CONSUMPTIONS(PC/Month/June 2022 SRDs)'.
VARIABLE LABELS  PERSONAL 'CLEANING SUPPLIES, PERSONAL CARE, CLOTHING, SHOES, ETC. (PC/Month/June 2022 SRDs)'.
VARIABLE LABELS  DURABLES 'MEDIUM AND SMALL: EQUIPMENT, ELECTRONICS, FURNITURE, GLASWARE, ETC. (PC/Month/June 2022 SRDs)'.
VARIABLE LABELS  ENTERTAI 'ENTERTAIMENT, SERVICES, GAMES, CELEBRATIONS, ETC. (PC/Month/June 2022 SRDs)'.
VARIABLE LABELS  OTHER 'OTHER CONSUMPTIONS (PC/Month/June 2022 SRDs)'.
VARIABLE LABELS  CONSUMPT 'CONSUMPTION (PC/Month/June 2022 SRDs)'.

COMPUTE food_ex =(food1_ex  + food2_ex  + food3_ex ) / HHsize/12 .
COMPUTE house_ex =(rent_ex + hous_ex ) / HHsize/12 .
COMPUTE electric_ex=light_ex / HHsize / 12.
COMPUTE educat_ex=edu1_ex / HHsize / 12.
COMPUTE health_ex=(heal1_ex + heal2_ex)/ HHsize / 12.
COMPUTE transpor_ex=(tran1_ex+tran2_ex+tran3_ex)/ HHsize / 12.
COMPUTE communic_ex=(comm1_ex+comm2_ex)/ HHsize / 12.
COMPUTE personal_ex=(care_ex + cloth_ex)/HHsize / 12.
COMPUTE durables_ex=durab_ex/HHsize / 12.
COMPUTE entertai_ex=(fun1_ex+fun2_ex)/HHsize / 12.
COMPUTE other_ex=(toba_ex + othe_ex)/HHsize/12.
COMPUTE consumpt_ex=food_ex +house_ex +electric_ex +educat_ex +health_ex +transpor_ex +communic_ex 
                    +personal_ex +durables_ex +entertai_ex + other_ex.
EXECUTE.
VARIABLE LABELS  food_ex 'Estimated Food (all) (PC/Month/June 2022 SRDs)'.
VARIABLE LABELS  house_ex 'Estimated Rent or use value of the house (PC/Month/June 2022 SRDs)'.
VARIABLE LABELS  electric_ex 'Estimated Fuel,light, gas and water at home (PC/Month/June 2022 SRDs)'.
VARIABLE LABELS  educat_ex 'Estimated Education consumptions(PC/Month/June 2022 SRDs)'.
VARIABLE LABELS  health_ex 'Estimated Health consumptions(PC/Month/June 2022 SRDs)'.
VARIABLE LABELS  transpor_ex 'Estimated Transportation consumptions(PC/Month/June 2022 SRDs)'.
VARIABLE LABELS  communic_ex 'Communication consumptions(PC/Month/June 2022 SRDs)'.
VARIABLE LABELS  personal_ex 'Estimated Cleaning supplies, personal care, clothing, shoes, etc. (PC/Month/June 2022 SRDs)'.
VARIABLE LABELS  durables_ex 'Estimated Medium and Small: equipment, electronics, furniture, glasware, etc. (PC/Month/June 2022 SRDs)'.
VARIABLE LABELS  entertai_ex 'Entertaiment, services, games, celebrations, etc. (PC/Month/June 2022 SRDs)'.
VARIABLE LABELS  other_ex 'Estimated Other consumptions (PC/Month/June 2022 SRDs)'.
VARIABLE LABELS  consumpt_ex 'Estimated Consumption (PC/Month/June 2022 SRDs)'.

COMPUTE  Food_1  =  food1 / HHsize / 12 .
COMPUTE  Food_2  =  food2 / HHsize / 12 .
COMPUTE  Food_3  =  food3 / HHsize / 12 .
COMPUTE  Rent_1  =  rent / HHsize / 12 .
COMPUTE  House_1  =  hous / HHsize / 12 .
COMPUTE  Utilities_1  =  light / HHsize / 12 .
COMPUTE  Education_1  =  edu1 / HHsize / 12 .
COMPUTE  Health_1  =  heal1 / HHsize / 12 .
COMPUTE  Health_2  =  heal2 / HHsize / 12 .
COMPUTE  Transport_1  =  tran1 / HHsize / 12 .
COMPUTE  Transport_2  =  tran2 / HHsize / 12 .
COMPUTE  Tranport_3  =  tran3 / HHsize / 12 .
COMPUTE  Communication_1  =  comm1 / HHsize / 12 .
COMPUTE  Communication_2  =  comm2 / HHsize / 12 .
COMPUTE  Personal_1  =  care / HHsize / 12 .
COMPUTE  Personal_2  =  cloth / HHsize / 12 .
COMPUTE  Durables_1  =  durab / HHsize / 12 .
COMPUTE  Entertaiment_1  =  fun1 / HHsize / 12 .
COMPUTE  Entertaiment_2  =  fun2 / HHsize / 12 .
COMPUTE  Others_1  =  toba / HHsize / 12 .
COMPUTE  Others_2  =  othe / HHsize / 12 .
EXECUTE.

Variable label Food_1"Food at school  (M3 Q3.19.j) / HH/month" .
Variable label Food_2"Food bought and consume outside the house ( M11 Q39xx ) /PC/Month/June 2022 SRDs" .
Variable label Food_3"Food consumed at home (M14.A Q3c) /PC/Month/June 2022 SRDs" .
Variable label Rent_1"Rent paid (M14.B Q1101) /PC/Month/June 2022 SRDs" .
Variable label House_1"Use value of house estimated with regresion /PC/Month/June 2022 SRDs" .
Variable label Utilities_1"Fuel, electricity and water (M14B Q1201-1210) /PC/Month/June 2022 SRDs" .
Variable label Education_1"Education expenses  (excluding Food school Q3_19j) (M3 Q9a-k) /PC/Month/June 2022 SRDs" .
Variable label Health_1"Total anual health expenditures (M5 Q21, 23, 25, 28 & 31) / HH /month" .
Variable label Health_2"Medical insurance and others (M14.B Q1701-1703) /PC/Month/June 2022 SRDs" .
Variable label Transport_1"Petro, oil parking, etc.  (M11 Q 41xx) /PC/Month/June 2022 SRDs" .
Variable label Transport_2"Bus and Taxi /(M11 Q 42xx) /PC/Month/June 2022 SRDs" .
Variable label Tranport_3"Transport maintenance, insurance & licenses (M4.B Q3301-3307, 3403, 3405, 3501-3504) /PC/Month/June 2022 SRDs" .
Variable label Communication_1"Cell Phone cards and Internet cafes (M11Q44xx ) /PC/Month/June 2022 SRDs" .
Variable label Communication_2"Communications (phone, internet) (M14.B Q1801-1804) /PC/Month/June 2022 SRDs" .
Variable label Personal_1"Cleanning supplies and Personal Care (M14.B Q1301-1621) /PC/Month/June 2022 SRDs" .
Variable label Personal_2"Clothes, footware, linnens, & tailors (M14.B Q2101-2514, 3101-3104, 3801-3802) /PC/Month/June 2022 SRDs" .
Variable label Durables_1"Durables (14.B Q2802-2803,2805-2809,2901-2907,2910-2917,3001,3005-3006,3008-3010,3012,3201-3203,3404,3705-3706,3803) /PC/Month/June 2022 SRDs" .
Variable label Entertaiment_1"Recreation (M11 Q43xx) /PC/Month/June 2022 SRDs" .
Variable label Entertaiment_2"Recreation, services, celebrations (M14.B Q 2001, 2002-2008, 3601-3602, 3701, 3707-3709, 3806-3808) /PC/Month/June 2022 SRDs" .
Variable label Others_1"Tobaco (M11 Q40xx) /PC/Month/June 2022 SRDs" .
Variable label Others_2"Other Non-food (M14.B Q1103-1108, 1901-1904, 3804,-3805, 3809-3811) /PC/Month/June 2022 SRDs" .

SAVE OUTFILE='h Consumption0.sav'  .

*************.

GET FILE='h Consumption0.sav'  .

COMPUTE ex_percentage =   RND(  (consumpt_ex /consumpt) ,0.01 )  .
VARIABLE LABELS  ex_percentage 'Total consumption estimated (%)'.
EXECUTE.

***Estimate the total population weight for each PSU .

FREQUENCIES VARIABLES=weight3
  /FORMAT=NOTABLE
  /STATISTICS=SUM
  /ORDER=ANALYSIS.

***The sample expands to 618,151.30 persons (this should remain the same after adjusting for droped households.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=psu
  /weight3_sum_PSU=SUM(weight3).

***Because the selection of HH with too many estimations will drop two PSU, the weighs will 
***also be modified at the Domain2   level.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=Domain2
  /weight3_sum_Domain2=SUM(weight3).

FREQUENCIES VARIABLES=ex_percentage
    /FORMAT=NOTABLE
  /ORDER=ANALYSIS.

***2,540 households

SORT CASES BY ex_percentage(D).

***keep only cases with less than 1/3 (33.33%) estimated consumption .

FILTER OFF.
USE ALL.
SELECT IF (ex_percentage < 0.3333).
EXECUTE.

FREQUENCIES VARIABLES=ex_percentage
    /FORMAT=NOTABLE
  /ORDER=ANALYSIS.

***2,502 HH remain ==>   38  were deleted.

***************************************                Adjust based in PSU totals              *********************************************************.

***Adjust the weights in such a way, that the total # OF PERSONS per PSU and national REMAIN THE SAME .

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=psu
  /weight3_sum2=SUM(weight3).

COMPUTE weight_change=RND((weight3_sum_PSU / weight3_sum2),0.000000000001) .
EXECUTE.

COMPUTE weight3 =weight3 * weight_change.
COMPUTE weight2 =weight3  / HHsize.
EXECUTE.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=psu
  /weight4_sum=SUM(weight3).

COMPUTE psu_weight_change=RND ((weight3_sum_PSU - weight4_sum),0.000001).
EXECUTE.

FREQUENCIES VARIABLES=psu_weight_change
  /ORDER=ANALYSIS.

***Only 0'S, total weight by PSU remain the same

FREQUENCIES VARIABLES=weight3
  /FORMAT=NOTABLE
  /STATISTICS=SUM
  /ORDER=ANALYSIS.

***Total population (expanded) =  617,442.09.

***The total persons do not expand to the original value of  618,151.30  because the two PSU that
***were droped.  Repeat the same execise at the Domain2 level 

DELETE VARIABLES weight3_sum2 weight_change weight4_sum psu_weight_change .

***************************************            Adjust based in Domain2 totals           *********************************************************.

***Adjust the weights in such a way, that the total # OF PERSONS per PSU and national REMAIN THE SAME .

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=domain2
  /weight3_sum2=SUM(weight3).

COMPUTE weight_change=RND((weight3_sum_domain2 / weight3_sum2),0.000000000001) .
EXECUTE.

COMPUTE weight3 =weight3 * weight_change.
COMPUTE weight2 =weight3  / HHsize.
EXECUTE.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=domain2
  /weight4_sum=SUM(weight3).

COMPUTE domain2_weight_change=RND ((weight3_sum_domain2 - weight4_sum),0.000001).
EXECUTE.

FREQUENCIES VARIABLES=domain2_weight_change
  /ORDER=ANALYSIS.

***Only 0'S, total weight by domain2 remain the same

FREQUENCIES VARIABLES=weight3
  /FORMAT=NOTABLE
  /STATISTICS=SUM
  /ORDER=ANALYSIS.

***Total population (expanded) renmain the same as before =  618,151.30 .

delete variables weight3_sum_PSU weight3_sum_Domain2 weight3_sum2 weight_change weight4_sum 
    domain2_weight_change  .

COMPUTE aaa=  rnd(consumpt-food-house-electric-educat-health-transpor-communic-personal-durables-entertai-other).
EXECUTE.

COMPUTE bbb= rnd( (consumpt * HHsize  *  12 ) -  edu1-food1-heal1-food2-toba-tran1-tran2-fun1-comm1 
                    -food3-rent-hous-othe-light-care-heal2-comm2-fun2- cloth-durab-tran3 ).
EXECUTE.

FREQUENCIES VARIABLES=aaa bbb
  /ORDER=ANALYSIS.

DELETE VARIABLES  edu1_ex food1_ex heal1_ex food2_ex toba_ex tran1_ex tran2_ex fun1_ex comm1_ex 
    food3_ex food3_ey rent_ex hous_ex othe_ex light_ex care_ex heal2_ex comm2_ex fun2_ex cloth_ex 
    durab_ex tran3_ex food_ex house_ex electric_ex educat_ex health_ex transpor_ex communic_ex 
    personal_ex durables_ex entertai_ex other_ex consumpt_ex  .

delete variables edu1 food1 heal1 food2 toba tran1 tran2 fun1 comm1 food3 rent hous othe light 
    care heal2 comm2 fun2 cloth durab tran3 .

delete variables  aaa  bbb  .

FORMATS food house electric educat health transpor communic personal durables 
    entertai other consumpt Food_1 Food_2 Food_3 Rent_1 House_1 Utilities_1 Education_1 Health_1 
    Health_2 Transport_1 Transport_2 Tranport_3 Communication_1 Communication_2 Personal_1 Personal_2 
    Durables_1 Entertaiment_1 Entertaiment_2 Others_1 Others_2 ex_percentage weight2  weight3  (COMMA8.2) .
  
SORT CASES BY hhid(A).

SAVE OUTFILE='h Consumption1.sav'  .

*************.

GET FILE='h Consumption1.sav'  .

*********************************************************************************************************************************************************.

GET FILE='h Consumption1.sav'  .

***For previous survey (2017/2018) the average month for the SDR  was June 2017.
***For this year (2022) the values were deflated at each section.  The reason is that inflation increased significantly in 2022
*** and to detect outliers and estimate values for missing cases, the SRD were deflated to June 2022 first and "just"
*** estimates were possible 

WEIGHT OFF.

SPLIT FILE OFF.

SORT CASES BY hhid(A).

COMPUTE food2 = food .
COMPUTE house2 = house .
COMPUTE electric2 = electric .
COMPUTE educat2 = educat .
COMPUTE health2 = health .
COMPUTE transpor2 = transpor .
COMPUTE communic2 = communic .
COMPUTE personal2 = personal .
COMPUTE durables2 = durables .
COMPUTE entertai2 = entertai .
COMPUTE other2 = other .
COMPUTE consumpt2 = consumpt .
COMPUTE Food_1_2 = Food_1 .
COMPUTE Food_2_2 = Food_2 .
COMPUTE Food_3_2 = Food_3 .
COMPUTE Rent_1_2 = Rent_1 .
COMPUTE House_1_2 = House_1 .
COMPUTE Utilities_1_2 = Utilities_1 .
COMPUTE Education_1_2 = Education_1 .
COMPUTE Health_1_2 = Health_1 .
COMPUTE Health_2_2 = Health_2 .
COMPUTE Transport_1_2 = Transport_1 .
COMPUTE Transport_2_2 = Transport_2 .
COMPUTE Tranport_3_2 = Tranport_3 .
COMPUTE Communication_1_2 = Communication_1 .
COMPUTE Communication_2_2 = Communication_2 .
COMPUTE Personal_1_2 = Personal_1 .
COMPUTE Personal_2_2 = Personal_2 .
COMPUTE Durables_1_2 = Durables_1 .
COMPUTE Entertaiment_1_2 = Entertaiment_1 .
COMPUTE Entertaiment_2_2 = Entertaiment_2 .
COMPUTE Others_1_2 = Others_1 .
COMPUTE Others_2_2 = Others_2 .
EXECUTE .

FORMATS Food_1_2 Food_2_2 Food_3_2 Rent_1_2 House_1_2 Utilities_1_2 Education_1_2 
    Health_1_2 Health_2_2 Transport_1_2 Transport_2_2 Tranport_3_2 Communication_1_2 Communication_2_2 
    Personal_1_2 Personal_2_2 Durables_1_2 Entertaiment_1_2 Entertaiment_2_2 Others_1_2 Others_2_2
     food2 house2 electric2 educat2 health2 transpor2 communic2 personal2 
    durables2 entertai2 other2 consumpt2 (comma8.2) .

Variable Labels  Food2 "Food (All) (PC/Month/June 2022 SRDs)".
Variable Labels  House2 "Rent Or Use Value Of The House (PC/Month/June 2022 SRDs)".
Variable Labels  Electric2 "Fuel, Light, Gas And Water At Home (PC/Month/June 2022 SRDs)".
Variable Labels  Educat2 "Education  consumption   (PC/Month/June 2022 SRDs)".
Variable Labels  Health2 "Health consumption   (PC/Month/June 2022 SRDs)".
Variable Labels  Transpor2 "Transportation consumption   (PC/Month/June 2022 SRDs)".
Variable Labels  Communic2 "Communication  consumption   (PC/Month/June 2022 SRDs)".
Variable Labels  Personal2 "Cleaning Supplies, Personal Care, Clothing, Shoes, Etc. (PC/Month/June 2022 SRDs)".
Variable Labels  Durables2 "Medium And Small: Equip., Elec., Furnit., Glassware, Etc. (PC/Month/June 2022 SRDs)".
Variable Labels  Entertai2 "Entertainment, Services, Games, Celebrations, Etc. (PC/Month/June 2022 SRDs)".
Variable Labels  Other2 "Other Consumption    (PC/Month/June 2022 SRDs)".
Variable Labels  Consumpt2 "Consumption   (PC/Month/June 2022 SRDs)".

Variable labels  Food_1_2   "Food at school  (M3 Q3.19.j) (PC/Month/June 2022 SRDs)" .
Variable labels  Food_2_2   "Food bought and consume outside the house ( M11 Q39xx )(PC/Month/June 2022 SRDs)" .
Variable labels  Food_3_2   "Food consumed at home (M14.A Q3c) (PC/Month/June 2022 SRDs)" .
Variable labels  Rent_1_2   "Rent paid (M14.B Q1101) (PC/Month/June 2022 SRDs)" .
Variable labels  House_1_2   "Use value of house estimated with regresion (PC/Month/June 2022 SRDs)" .
Variable labels  Utilities_1_2   "Fuel, electricity and water (M14B Q1201-1210) (PC/Month/June 2022 SRDs)" .
Variable labels  Education_1_2   "Education expenses  (excluding Food school Q3_19j) (M3 Q9a-k) (PC/Month/June 2022 SRDs)" .
Variable labels  Health_1_2   "Total anual health expenditures (M5 Q21, 23, 25, 28 & 31) (PC/Month/June 2022 SRDs)" .
Variable labels  Health_2_2   "Medical insurance and others (M14.B Q1701-1703) (PC/Month/June 2022 SRDs)" .
Variable labels  Transport_1_2   "Petro, oil parking, etc.  (M11 Q 41xx) (PC/Month/June 2022 SRDs)" .
Variable labels  Transport_2_2   "Bus and Taxi /(M11 Q 42xx) (PC/Month/June 2022 SRDs)" .
Variable labels  Tranport_3_2   "Transport maintenance, insurance & licenses (M4.B Q3301-3307, 3403, 3405, 3501-3504) (PC/Month/June 2022 SRDs)" .
Variable labels  Communication_1_2   "Cell Phone cards and Internet cafes (M11Q44xx ) (PC/Month/June 2022 SRDs)" .
Variable labels  Communication_2_2   "Communications (phone, internet) (M14.B Q1801-1804) (PC/Month/June 2022 SRDs)" .
Variable labels  Personal_1_2   "Cleanning supplies and Personal Care (M14.B Q1301-1621) (PC/Month/June 2022 SRDs)" .
Variable labels  Personal_2_2   "Clothes, footware, linnens, & tailors (M14.B Q2101-2514, 3101-3104, 3801-3802) (PC/Month/June 2022 SRDs)" .
Variable labels  Durables_1_2   "Durables (14.B Q2802-2803,2805-2809,2901-2907,2910-2917,3001,3005-3006,3008-3010,3012,3201-3203,3404,3705-3706,3803) (PC/Month/June 2022 SRDs)" .
Variable labels  Entertaiment_1_2   "Recreation (M11 Q43xx) (PC/Month/June 2022 SRDs)" .
Variable labels  Entertaiment_2_2   "Recreation, services, celebrations (M14.B Q 2001, 2002-2008, 3601-3602, 3701, 3707-3709, 3806-3808) (PC/Month/June 2022 SRDs)" .
Variable labels  Others_1_2   "Tobaco (M11 Q40xx) (PC/Month/June 2022 SRDs)" .
Variable labels  Others_2_2   "Other Non-food (M14.B Q1103-1108, 1901-1904, 3804,-3805, 3809-3811) (PC/Month/June 2022 SRDs)" .


***create quintiles (5 groups), deciles (10 groups)  and centiles (100 groups) .acording to consumption .

WEIGHT BY weight3.

SORT CASES BY consumpt2(A).

RANK VARIABLES=consumpt2 (A)
  /RANK
  /NTILES(5)
  /PRINT=YES
  /TIES=MEAN.

delete variable Rconsump .
rename variable ( Nconsump = quintile) .
variable label quintile "5 groups of equal # of persons order by consumption" .
value labels quintile 1"Q1", 2"Q2" 3"Q3" 4"Q4" 5"Q5".

RANK VARIABLES=consumpt2 (A)
  /RANK
  /NTILES(10)
  /PRINT=YES
  /TIES=MEAN.

delete variable Rconsump .
rename variable ( Nconsump = decile) .
variable label decile "10 groups of equal # of persons order by consumption" .
value labels decile 1"D1", 2"D2" 3"D3" 4"D4" 5"D5" 6"D"   7"D7" 8"D8" 9"D9" 10"D10"  .

RANK VARIABLES=consumpt2 (A)
  /RANK
  /NTILES(100)
  /PRINT=YES
  /TIES=MEAN.

delete variable Rconsump .
rename variable ( Nconsump = centile) .
variable label centile "100 groups of equal # of persons order by consumption" .

VARIABLE LABELS hhid "Household unique identifier" .
VARIABLE LABELS weight3 "weight * HHsize" .
VARIABLE LABELS  Year_s "Survey Year (last day)" .
VARIABLE LABELS  Month_s "Survey Month (last day)" .
VARIABLE LABELS  Day "Survey Day (last day)" .

variable level  hhid psu (Nominal) .
 
WEIGHT OFF.

SORT CASES BY hhid(A).

SAVE OUTFILE='h Consumption2.sav' 
  /keep =     hhid hhid_text domain gp_subdom domain2 stratum psu HHsize weight2 weight3 quintile 
    decile centile Year_s Month_s Day 
    food   house    electric   educat   health   transpor    communic   personal   durables   entertai    other   consumpt
    Food_1_2 Food_2_2 Food_3_2 Rent_1_2 House_1_2 Utilities_1_2 Education_1_2 
    Health_1_2 Health_2_2 Transport_1_2 Transport_2_2 Tranport_3_2 Communication_1_2 Communication_2_2 
    Personal_1_2 Personal_2_2 Durables_1_2 Entertaiment_1_2 Entertaiment_2_2 Others_1_2 Others_2_2
    food2 house2 electric2 educat2 health2 transpor2 communic2 personal2 durables2 entertai2 other2 consumpt2   .

*************.

GET FILE='h Consumption2.sav'  .

WEIGHT BY weight3 .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=food2 Food_1_2 Food_2_2 Food_3_2 house2 Rent_1_2 House_1_2 electric2 
    Utilities_1_2 educat2 Education_1_2 health2 Health_1_2 Health_2_2 transpor2 Transport_1_2 
    Transport_2_2 Tranport_3_2 communic2 Communication_1_2 Communication_2_2 personal2 Personal_1_2 
    Personal_2_2 durables2 Durables_1_2 entertai2 Entertaiment_1_2 Entertaiment_2_2 other2 Others_1_2 
    Others_2_2 consumpt2 domain 
    DISPLAY=DEFAULT
  /TABLE food2 [S][MEAN COMMA40.2] + Food_1_2 [S][MEAN COMMA40.2] + Food_2_2 [S][MEAN COMMA40.2] + 
    Food_3_2 [S][MEAN COMMA40.2] + house2 [S][MEAN COMMA40.2] + Rent_1_2 [S][MEAN COMMA40.2] + 
    House_1_2 [S][MEAN COMMA40.2] + electric2 [S][MEAN COMMA40.2] + Utilities_1_2 [S][MEAN COMMA40.2] + 
    educat2 [S][MEAN COMMA40.2] + Education_1_2 [S][MEAN COMMA40.2] + health2 [S][MEAN COMMA40.2] + 
    Health_1_2 [S][MEAN COMMA40.2] + Health_2_2 [S][MEAN COMMA40.2] + transpor2 [S][MEAN COMMA40.2] + 
    Transport_1_2 [S][MEAN COMMA40.2] + Transport_2_2 [S][MEAN COMMA40.2] + Tranport_3_2 [S][MEAN 
    COMMA40.2] + communic2 [S][MEAN COMMA40.2] + Communication_1_2 [S][MEAN COMMA40.2] + 
    Communication_2_2 [S][MEAN COMMA40.2] + personal2 [S][MEAN COMMA40.2] + Personal_1_2 [S][MEAN 
    COMMA40.2] + Personal_2_2 [S][MEAN COMMA40.2] + durables2 [S][MEAN COMMA40.2] + Durables_1_2 
    [S][MEAN COMMA40.2] + entertai2 [S][MEAN COMMA40.2] + Entertaiment_1_2 [S][MEAN COMMA40.2] + 
    Entertaiment_2_2 [S][MEAN COMMA40.2] + other2 [S][MEAN COMMA40.2] + Others_1_2 [S][MEAN COMMA40.2] 
    + Others_2_2 [S][MEAN COMMA40.2] + consumpt2 [S][MEAN COMMA40.2] BY domain [C]
  /CATEGORIES VARIABLES=domain ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='Consumption aggregate components (PC/Month/June 2022 SRDs/June 2022 SRD) by Domain, Surinam SSLC '+
    '2022 '.  





